unit untClientForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfrmClient = class(TForm)
    pnlMain: TPanel;
    lblFirst: TLabel;
    edtFirst: TEdit;
    lblSecond: TLabel;
    edtSecond: TEdit;
    cmdAdd: TButton;
    lblResult: TLabel;
    edtResult: TEdit;
    lblTitle: TLabel;
    cmdClose: TButton;
    pnlStatus: TPanel;
    procedure cmdCloseClick(Sender: TObject);
    procedure edtFirstChange(Sender: TObject);
    procedure edtSecondChange(Sender: TObject);
    procedure cmdAddClick(Sender: TObject);
  private
    { Private declarations }
    function CheckIntegers: Boolean;
  public
    { Public declarations }
  end;

var
  frmClient: TfrmClient;

implementation

{$R *.DFM}

function TfrmClient.CheckIntegers: Boolean;
{ Check both of the strings in the Edit boxes to make sure they're valid
  integers}

  function CheckInteger(Text: string): Boolean;
  var
    nTemp: integer;
  begin
    Result := False;
    try
      nTemp := StrToInt(Text);
      Result := True;
    except
      on EConvertError do
        Exit;
    end;
  end;

begin

  Result := True;

  // Try to convert the first edit box to an integer
  if not CheckInteger(edtFirst.Text) then
  begin
    if edtFirst.Text <> '' then
      pnlStatus.Caption := edtFirst.Text + ' is not a valid integer';
    Result := False;
    Exit;
  end;

  // Try to convert the second edit box to an integer
  if not CheckInteger(edtSecond.Text) then
  begin
    if edtSecond.Text <> '' then
      pnlStatus.Caption := edtSecond.Text + ' is not a valid integer';
    Result := False;
    Exit;
  end;

end;

procedure TfrmClient.cmdCloseClick(Sender: TObject);
begin
  Self.Close;
end;

procedure TfrmClient.edtFirstChange(Sender: TObject);
begin
  // Clear the status message
  pnlStatus.Caption := '';
  // Clear the result
  edtResult.Text := '';
  // Test any input to make sure it's a valid integer
  cmdAdd.Enabled := CheckIntegers;
end;

procedure TfrmClient.edtSecondChange(Sender: TObject);
begin
  // Clear the status message
  pnlStatus.Caption := '';
  // Clear the result
  edtResult.Text := '';
  // Test any input to make sure it's a valid integer
  cmdAdd.Enabled := CheckIntegers;
end;

procedure TfrmClient.cmdAddClick(Sender: TObject);
begin

  // Add the two numbers together and display the results
  edtResult.Text := IntToStr(Int64(StrToInt(edtFirst.Text)) +
                                   Int64(StrToInt(edtSecond.Text)));

end;

end.
